<div class="media-player">
    <div class="media-player--wrapper ">
        <!--Zona del artista-->
        <div class="artist player-center">
            <ng-container *ngTemplateOutlet="artistZone"></ng-container>
        </div>
        <!--Zona del reproductor-->
        <div class="player-controls player-center">
            <ng-container *ngTemplateOutlet="playerZone"></ng-container>
        </div>
        <!--Zona del controles adicionales-->
        <div class="player-audio player-center">
            <ng-container *ngTemplateOutlet="playerAudio"></ng-container>
        </div>
    </div>
</div>

<!-- ZONE TEMPLATES -->

<ng-template #artistZone>
    <div class="artist-inside">

        <img [src]="" alt="" class="cover">
        <div class="track-info">
            <h3 class="track-title">Titulo</h3>
            <h5 class="track-title sub-title">Subtitulo</h5>
        </div>
        <div class="track-like">
            <button class="btn-like">
                <i class="uil uil-heart"></i>
            </button>
        </div>
    </div>
</ng-template>

<ng-template #playerZone>
    <div class="player-controls-inside">
        <div class="buttons-media">
            <button class="arrow btn">
                <i class="uil uil-previous"></i>
            </button>
            <button class="play btn">
                <i class="uil uil-paused"></i>

            </button>
            <button class="arrow btn">
                <i class="uil uil-step-forward"></i>
            </button>
        </div>
        <div class="media-linetime">

            <div class="time">time</div>
            <span #progressBar class="time-progress">
                <span class="time-progress-live" [style.width]="'50'+'%'">
                </span>
            </span>
            <div class="time">time</div>
        </div>
    </div>
</ng-template>

<ng-template #playerAudio>
    <div class="player-audio-inside">
        <button class="btn-media">
            <i class="uil uil-list-ui-alt"></i>
        </button>
        <button class="btn-media">
            <i class="uil uil-boombox"></i>
        </button>
        <button class="btn-media">
            <i class="uil uil-volume-off"></i>
        </button>
    </div>
</ng-template>
